# OpenIdConsumerAssociationManager Interface Reference
[OpenId implementation]

List of all members.

## Public Member Functions

| findByHandle ($handle, $type)
| findByServer (HttpUrl $server)
| makeAndSave ($handle, $type, $secred, Timestamp $expires, HttpUrl $server)
| purgeExpired ()
| purgeByHandle ($handle)

## Detailed Description

Definition at line 15 of file OpenIdConsumerAssociationManager.class.php.

## Member Function Documentation

OpenIdConsumerAssociationManager::findByHandle | ( | $ | handle,
|  | $ | type |
| ) |  |  |

Returns:
  OpenIdConsumerAssociation

OpenIdConsumerAssociationManager::findByServer | ( | HttpUrl $ | server | ) |

Returns:
  OpenIdConsumerAssociation

Referenced by OpenIdConsumer::associate().

OpenIdConsumerAssociationManager::makeAndSave | ( | $ | handle,
|  | $ | type,
|  | $ | secred,
|  | Timestamp $ | expires,
|  | HttpUrl $ | server |
| ) |  |  |

Returns:
  OpenIdConsumerAssociation

Referenced by OpenIdConsumer::associate().

OpenIdConsumerAssociationManager::purgeByHandle | ( | $ | handle | ) |

Returns:
  OpenIdConsumerAssociationManager

OpenIdConsumerAssociationManager::purgeExpired | ( |  | ) |

Returns:
  OpenIdConsumerAssociationManager

The documentation for this interface was generated from the following file:

- main/OpenId/OpenIdConsumerAssociationManager.class.php